(* Written by Alexander Malkis, 2009. Licence: GPLv3 *)

open ModelChecker

(* main program *)
let main () =
  let vt=read_verificationTask () in
  let mc_result = model_check_eager vt.init vt.error vt.all_transitions in
  match mc_result with
      Safe invariant ->print_string ("Safe. Invariant:\n"^(AC.string_of_setOfStates invariant)^".\n")
    | Unsafe trace -> print_string ("Unsafe. Error trace prefix:\n"^(AC.string_of_trace trace)^".\n")
;;
main ()

