# Comments start with a hash symbol (#) and last until end of line.
# An empty line is treated as a comment.
# A string is any sequence of characters not containing whitespaces, tabs, newlines or other special characters.
# Threads are enumerated, starting with 0

# Transition relations
# T <thread number> <global store> <local store> <global store after the transition> <local store after the transition>
T 0 A 0 B 1
T 0 A 1 B 0
T 0 B 0 A 1
T 1 B 0 B 1
T 1 B 1 A 1
T 1 A 1 B 0

# Initial states
# Init <global> <thread_1> ... <thread_n>
Init A 0 0

# Error states
# Error <global>  <thread_1> ... <thread_n>
# Error A 1 0
Error A 0 1


